GWT 2.7.0

## com.google.gwt.aria.client
Enum DropeffectValue

    java.lang.Object
      java.lang.Enum<DropeffectValue>
          com.google.gwt.aria.client.DropeffectValue

All Implemented Interfaces:
  AriaAttributeType, java.io.Serializable, java.lang.Comparable<DropeffectValue>

    public enum DropeffectValue

extends java.lang.Enum<DropeffectValue>
implements AriaAttributeType

Property enum for 'aria-dropeffect' values.

Enum Constant Summary
`COPY`
`EXECUTE`
`LINK`
`MOVE`
`NONE`
`POPUP`

Method Summary
`java.lang.String` | `getAriaValue()`
`static DropeffectValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DropeffectValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COPY

    public static final DropeffectValue COPY

### MOVE

    public static final DropeffectValue MOVE

### LINK

    public static final DropeffectValue LINK

### EXECUTE

    public static final DropeffectValue EXECUTE

### POPUP

    public static final DropeffectValue POPUP

### NONE

    public static final DropeffectValue NONE

Method Detail

### values

    public static DropeffectValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DropeffectValue c : DropeffectValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DropeffectValue valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getAriaValue

    public java.lang.String getAriaValue()

  Specified by:
    `getAriaValue` in interface `AriaAttributeType`

GWT 2.7.0